<?php declare(strict_types = 1);

namespace DoctrineMigrations;

use App\Migrations\MigrationBase;
use Doctrine\DBAL\Schema\Schema;

class Version20180102183156 extends MigrationBase
{
  public function up(Schema $schema)
  {
    parent::up($schema);

    $sql = <<<SQL
ALTER TABLE product 
  ADD description LONGTEXT NOT NULL
SQL;
    $this->addSql($sql);
  }

  public function down(Schema $schema)
  {
    parent::down($schema);

    $SQL = <<<SQL
ALTER TABLE product 
  DROP description;
SQL;
    $this->addSql($SQL);
  }
}
