<?php

namespace Osinet\DemoBundle\DependencyInjection;

use Symfony\Component\Config\Definition\Builder\TreeBuilder;
use Symfony\Component\Config\Definition\ConfigurationInterface;

class Configuration implements ConfigurationInterface {

  /**
   * Generates the configuration tree builder.
   *
   * @return \Symfony\Component\Config\Definition\Builder\TreeBuilder The tree builder
   */
  public function getConfigTreeBuilder(): TreeBuilder {
    $treeBuilder = new TreeBuilder();
    $rootNode = $treeBuilder->root(OsinetDemoExtension::ALIAS);

    $rootNode
      ->children()
        ->scalarNode('prefix')
          ->defaultValue('Say')
          ->end()
        ->end()
    ;

    return $treeBuilder;
  }
}
